"Zmiana zmiennej globalnej na trzy sposoby"

var = 99                          # Zmienna globalna == atrybut modułu

def local():
    var = 0                       # Modyfikacja zmiennej lokalnej var

def glob1():
    global var                    # Deklaracja zmiennej globalnej (normalnej)
    var += 1                      # Modyfikacja zmiennej globalnej var

def glob2():
    var = 0                       # Modyfikacja zmiennej lokalnej var
    import thismod                # Zaimportowanie siebie
    thismod.var += 1              # Modyfikacja zmiennej globalnej var

def glob3():
    var = 0                              # Modyfikacja zmiennej lokalnej var
    import sys                           # Zaimportowanie tabeli systemowej
    thismod = sys.modules['thismod']     # Pobranie obiektu modułu (można też użyć __name__)
    thismod.var += 1                     # Modyfikacja zmiennej globalnej var

def test():
    print(var)
    local(); glob1(); glob2(); glob3()
    print(var)

